%define section free

Name:           colt
Version:        1.2.0
Release:        4%{?dist}
Epoch:          0
Summary:        Open-source libraries for high-performance scientific and technical computing
License:        X11-like
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://dsd.lbl.gov/~hoschek/colt-download/releases/colt-1.2.0.tar.gz
Source1:        %{name}-%{version}.build.xml
URL:            http://dsd.lbl.gov/~hoschek/colt/
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       concurrent >= 0:1.3.4, corejava-format
BuildRequires:  concurrent >= 0:1.3.4, corejava-format
BuildRequires:  jpackage-utils >= 0:1.5, /bin/bash, ant

%description
Colt provides a set of open-source libraries for high-performance scientific
and technical computing in Java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package -n colt-hep
Summary:        Compact, extensible, modular and performant histogramming functionality
License:        LGPL (but usage related to military applications is expressly forbidden)
Group:          Development/Libraries/Java
Requires:       colt >= 0:1.2.0

%description -n colt-hep
Compact, extensible, modular and performant histogramming functionality,
from the COLT distribution.

%package -n colt-hep-javadoc
Summary:        Javadoc for colt-hep
Group:          Development/Documentation

%description -n colt-hep-javadoc
Javadoc for colt-hep.

%prep
%setup -c -q
mv colt/* .
cp %{SOURCE1} build.xml

%build
export CLASSPATH=%(build-classpath corejava-format concurrent)
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  -Dconcurrent.apiurl=%{_javadocdir}/concurrent \
  -Dcorejava-format.apiurl=%{_javadocdir}/corejava-format \
  jars javadoc

%install
rm -fr $RPM_BUILD_ROOT

# COLT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs-colt/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# HEP
install -m 644 colt-hep-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s colt-hep-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/colt-hep.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/colt-hep-%{version}
cp -pr docs-colt-hep/* $RPM_BUILD_ROOT%{_javadocdir}/colt-hep-%{version}
ln -s colt-hep-%{version} $RPM_BUILD_ROOT%{_javadocdir}/colt-hep # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%post -n colt-hep-javadoc
rm -f %{_javadocdir}/colt-hep
ln -s colt-hep-%{version} %{_javadocdir}/colt-hep

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files -n colt-hep
%defattr(0644,root,root,0755)
%{_javadir}/colt-hep-%{version}.jar
%{_javadir}/colt-hep.jar

%files -n colt-hep-javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/colt-hep-%{version}
%ghost %doc %{_javadocdir}/colt-hep

%changelog
* Wed Jan 14 2009 Sebastiano Vigna <vigna@acm.org> 0:1.2.0-3.jpp5
- Updated spec file.

* Mon Jan 24 2005 Sebastiano Vigna <vigna@acm.org> 0:1.2.0-2jpp
- The class corejava.Format is now included for compatibility.

* Thu Dec 23 2004 Sebastiano Vigna <vigna@acm.org> 0:1.2.0-1jpp
- New release

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1.0-3jpp
- Build with ant-1.6.2
- BuildRequires ant

* Wed Nov 19 2003 Sebastiano Vigna <vigna@acm.org> 0:1.1.0-2jpp
- Package name in concurrent restored to EDU.

* Wed Nov 19 2003 Sebastiano Vigna <vigna@acm.org> 0:1.1.0-1jpp
- First JPackage version
